hpp-core: hpp::core::DiffusingPlanner Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::DiffusingPlanner Class Reference
Path planning algorithms

Generic implementation of RRT algorithm. More...

`#include <hpp/core/diffusing-planner.hh>`

Inheritance diagram for hpp::core::DiffusingPlanner:
[legend]
Collaboration diagram for hpp::core::DiffusingPlanner:
[legend]

## Public Types
typedef PathPlanner | Parent_t

## Public Member Functions
virtual void | startSolve ()
virtual void | oneStep ()
| One step of extension.
void | configurationShooter (const ConfigurationShooterPtr_t &shooter)
| Set configuration shooter.
Public Member Functions inherited from hpp::core::PathPlanner
virtual | ~PathPlanner ()
virtual const RoadmapPtr_t & | roadmap () const
| Get roadmap.
ProblemConstPtr_t | problem () const
| Get problem.
virtual PathVectorPtr_t | solve ()
virtual void | tryConnectInitAndGoals ()
| Try to connect initial and goal configurations to existing roadmap.
virtual PathVectorPtr_t | finishSolve (const PathVectorPtr_t &path)
| Post processing of the resulting path.
void | interrupt ()
| Interrupt path planning.
void | maxIterations (const unsigned long int &n)
| Set maximal number of iterations.
unsigned long int | maxIterations () const
| Get maximal number of iterations.
void | timeOut (const double &timeOut)
| set time out (in seconds)
double | timeOut () const
| Get time out.
void | stopWhenProblemIsSolved (bool enable)
PathVectorPtr_t | computePath () const
| Find a path in the roadmap and transform it in trajectory.

## Static Public Member Functions
static DiffusingPlannerPtr_t | createWithRoadmap (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
| Return shared pointer to new object.
static DiffusingPlannerPtr_t | create (const ProblemConstPtr_t &problem)
| Return shared pointer to new object.

## Protected Member Functions
| DiffusingPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
| Constructor.
| DiffusingPlanner (const ProblemConstPtr_t &problem)
| Constructor with roadmap.
void | init (const DiffusingPlannerWkPtr_t &weak)
| Store weak pointer to itself.
virtual PathPtr_t | extend (const NodePtr_t &near, ConfigurationIn_t target)
Protected Member Functions inherited from hpp::core::PathPlanner
| PathPlanner (const ProblemConstPtr_t &problem)
| PathPlanner (const ProblemConstPtr_t &problem, const RoadmapPtr_t &roadmap)
void | init (const PathPlannerWkPtr_t &weak)
| Store weak pointer to itself.

## Detailed Description

Generic implementation of RRT algorithm.

## Member Typedef Documentation

## ◆ Parent_t

typedef PathPlanner hpp::core::DiffusingPlanner::Parent_t

## Constructor & Destructor Documentation

## ◆ DiffusingPlanner() [1/2]

hpp::core::DiffusingPlanner::DiffusingPlanner | ( | const ProblemConstPtr_t & | problem,
|  | const RoadmapPtr_t & | roadmap
| ) |  |
| protected

Constructor.

## ◆ DiffusingPlanner() [2/2]

hpp::core::DiffusingPlanner::DiffusingPlanner | ( | const ProblemConstPtr_t & | problem | ) |
| protected

Constructor with roadmap.

## Member Function Documentation

## ◆ configurationShooter()

void hpp::core::DiffusingPlanner::configurationShooter | ( | const ConfigurationShooterPtr_t & | shooter | ) |

Set configuration shooter.

## ◆ create()

static DiffusingPlannerPtr_t hpp::core::DiffusingPlanner::create | ( | const ProblemConstPtr_t & | problem | ) |
| static

Return shared pointer to new object.

## ◆ createWithRoadmap()

static DiffusingPlannerPtr_t hpp::core::DiffusingPlanner::createWithRoadmap | ( | const ProblemConstPtr_t & | problem,
|  | const RoadmapPtr_t & | roadmap
| ) |  |
| static

Return shared pointer to new object.

## ◆ extend()

virtual PathPtr_t hpp::core::DiffusingPlanner::extend | ( | const NodePtr_t & | near,
|  | ConfigurationIn_t | target
| ) |  |
| protectedvirtual

Extend a node in the direction of a configuration

Parameters

  near | node in the roadmap,
  target | target configuration

## ◆ init()

void hpp::core::DiffusingPlanner::init | ( | const DiffusingPlannerWkPtr_t & | weak | ) |
| protected

Store weak pointer to itself.

## ◆ oneStep()

virtual void hpp::core::DiffusingPlanner::oneStep | ( |  | ) |
| virtual

One step of extension.

Implements hpp::core::PathPlanner.

## ◆ startSolve()

virtual void hpp::core::DiffusingPlanner::startSolve | ( |  | ) |
| virtual

Initialize the problem resolution Call parent implementation and check that goal is defined as a set of configurations.

Reimplemented from hpp::core::PathPlanner.

The documentation for this class was generated from the following file:

- include/hpp/core/diffusing-planner.hh